%define upstream_name	 Set-Object
%define upstream_version 1.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Set of objects and strings in Perl
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Set/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
This module implements a set of objects, that is, an unordered collection of
objects without duplication.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# should not have been included
# http://rt.cpan.org/Ticket/Display.html?id=37799
rm -f t/misc/threads.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorarch}/Set
%{perl_vendorarch}/auto/Set
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.350.0-4.mga6
+ Revision: 1033036
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.350.0-3.mga6
+ Revision: 957955
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.350.0-2.mga6
+ Revision: 845264
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.350.0-1.mga6
+ Revision: 841705
- update to 1.35

* Wed Oct 15 2014 umeabot <umeabot> 1.340.0-4.mga5
+ Revision: 744033
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.340.0-3.mga5
+ Revision: 686192
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.340.0-2.mga5
+ Revision: 631664
- Rebuild for perl 5.20

* Sat Feb 08 2014 sander85 <sander85> 1.340.0-1.mga5
+ Revision: 586667
- update to 1.34

* Sat Oct 19 2013 umeabot <umeabot> 1.310.0-3.mga4
+ Revision: 525055
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.310.0-2.mga4
+ Revision: 431743
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 1.310.0-1.mga4
+ Revision: 431300
- update to 1.31
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.280.0-4.mga3
+ Revision: 372610
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.280.0-3.mga3
+ Revision: 251098
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.280.0-2.mga2
+ Revision: 104960
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.280.0-1.mga1
+ Revision: 31145
- mageia rebuild
- imported package perl-Set-Object


* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 1.280.0-1mdv2011.0
+ Revision: 561041
- update to 1.28

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.270.0-2mdv2011.0
+ Revision: 556142
- rebuild for perl 5.12

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.270.0-1mdv2010.0
+ Revision: 408045
- rebuild using %%perl_convert_version

* Fri Jan 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.27-1mdv2009.1
+ Revision: 330194
- update to new version 1.27

* Sat Oct 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-1mdv2009.1
+ Revision: 294833
- update to new version 1.26

* Wed Jul 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdv2009.0
+ Revision: 242115
- update to new version 1.25

* Sun Jul 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2009.0
+ Revision: 238946
- update to new version 1.24
- new version

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.22-2mdv2008.1
+ Revision: 151348
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdv2008.1
+ Revision: 97563
- update to new version 1.22


* Sat Mar 03 2007 Olivier Thauvin <nanardon@mandriva.org> 1.21-1mdv2007.0
+ Revision: 131707
- 1.21

* Thu Jan 04 2007 Olivier Thauvin <nanardon@mandriva.org> 1.18-1mdv2007.1
+ Revision: 103940
- 1.18
- 1.17
- Import perl-Set-Object

* Sat Jun 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.15-1mdv2007.0
- New version 1.15
- spec cleanup
- fix directory ownership

* Thu Jan 12 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.14-1mdk
- Initial MDV RPM

